Quantcast
Channel: Taylor Hokanson
Viewing all articles
Browse latest Browse all 68

Script to create concentric circles in Rhino

$
0
0
  1. Open Rhino
  2. Type
    editpythonscript
  3. Paste the following code and save it
# Create concentric circles
# taylorhokanson.com, 2019

import rhinoscriptsyntax as rs

def makeCircles():
    
    offsetDist = rs.GetReal("Offset distance", 1)
    offsetVal = offsetDist
    
    numCurves = rs.GetReal("Number of curves", 10)
    
    id = rs.GetObject("Curve to offset", 4, True, False)
    if not id: return
    
    pt = rs.GetPoint("Click on offset direction", None, None, True)
    if not pt: return
    
    for x in range(0, int(numCurves)):
        rc = rs.OffsetCurve(id, pt, offsetVal, normal=None, style=1)
        offsetVal += offsetDist

makeCircles()

 

Viewing all articles
Browse latest Browse all 68

Trending Articles